> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspaces



## OpenAPI

````yaml /openapi.json get /v1/workspaces
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/workspaces:
    get:
      tags:
        - Workspaces
        - Entitlements
        - Quotas
      summary: List Workspaces
      operationId: list_workspaces_v1_workspaces_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkspaceSummaryResponse'
                title: Response List Workspaces V1 Workspaces Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    WorkspaceSummaryResponse:
      properties:
        billing_interval:
          anyOf:
            - enum:
                - month
                - year
              type: string
            - type: 'null'
          title: Billing Interval
        can_manage_billing:
          default: false
          title: Can Manage Billing
          type: boolean
        cancel_at_period_end:
          default: false
          title: Cancel At Period End
          type: boolean
        current_period_ends_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Current Period Ends At
        id:
          format: uuid
          title: Id
          type: string
        kind:
          title: Kind
          type: string
        name:
          title: Name
          type: string
        plan_key:
          title: Plan Key
          type: string
        seat_quantity:
          default: 1
          title: Seat Quantity
          type: integer
        subscription_status:
          title: Subscription Status
          type: string
        team_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Team Id
        trial_ends_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Trial Ends At
        verified:
          default: false
          title: Verified
          type: boolean
      required:
        - id
        - kind
        - name
        - plan_key
        - subscription_status
      title: WorkspaceSummaryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````